Summary:	Simple DVD slide show maker
Name:		imagination
Version:	3.6
Release:	%mkrel 2
Group:		Video/Editors and Converters
License:	GPLv2+
URL:		http://imagination.sourceforge.net
Source0:	https://sourceforge.net/projects/%{name}/files/%{name}-%{version}.tar.gz/download#/%{name}-%{version}.tar.gz
Source1:	ru.po
BuildRequires:	pkgconfig(cairo) >= 1.6
BuildRequires:	pkgconfig(glib-2.0) > 2.18.0
BuildRequires:	pkgconfig(gthread-2.0)
BuildRequires:	pkgconfig(gtk+-2.0) >= 2.14.0
BuildRequires:	pkgconfig(sox) >= 14.2.0
BuildRequires:	desktop-file-utils
BuildRequires:	gettext
BuildRequires:	intltool
BuildRequires:	docbook-xsl
BuildRequires:	xsltproc
BuildRequires:	docbook-style-xsl
BuildRequires:	pkgconfig(gtk+-3.0)
Requires:	sox >= 14.3.0
Requires:	ffmpeg

%description
Imagination is a lightweight and simple DVD slide show maker written
in C language and built with the GTK+2 toolkit.

%prep
%setup -q
%autopatch -p1
cp -f %{SOURCE1} ./po/

%build
# fix build on aarch64
autoreconf -vfi

# enable transitions/plugins per the README
sed -i 's/^#define PLUGINS_INSTALLED 0$/#define PLUGINS_INSTALLED 1/g' src/support.h

%configure --disable-static
%make_build

%install
%make_install

find %buildroot -name '*.la' | xargs rm

desktop-file-install --vendor="" \
	--dir %{buildroot}%{_datadir}/applications %{buildroot}%{_datadir}/applications/*

%find_lang %{name}

%files -f %{name}.lang
%doc AUTHORS ChangeLog README TODO
%{_docdir}/%{name}
%{_bindir}/%{name}
%{_libdir}/%{name}
%{_datadir}/%{name}
%{_iconsdir}/hicolor/*/apps/*
%{_datadir}/applications/%{name}.desktop


%changelog
* Sat Apr 02 2022 umeabot <umeabot> 3.6-2.mga9
+ Revision: 1840117
- Mageia 9 Mass Rebuild

* Tue Jan 25 2022 mrambo3501 <mrambo3501> 3.6-1.mga9
+ Revision: 1769772
- version 3.6
- fixed Source URL
- deleted Patches 0 and 1 applied upstream

* Thu Feb 13 2020 umeabot <umeabot> 3.0-13.mga8
+ Revision: 1513608
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 3.0-12.mga7
+ Revision: 1298289
- Mageia 7 Mass Rebuild

* Fri Jun 08 2018 wally <wally> 3.0-11.mga7
+ Revision: 1235422
- fix build on aarch64
+ kekepower <kekepower>
- Use new make macros

* Mon Feb 15 2016 umeabot <umeabot> 3.0-10.mga6
+ Revision: 960691
- Mageia 6 Mass Rebuild

* Fri Sep 11 2015 daviddavid <daviddavid> 3.0-9.mga6
+ Revision: 876941
- rebuild for new sox 14.4.2

* Fri Feb 06 2015 alexl <alexl> 3.0-8.mga5
+ Revision: 813775
- added Russian translation from upstream
- deleted empty NEWS file
- cleanup spec

* Wed Oct 15 2014 umeabot <umeabot> 3.0-7.mga5
+ Revision: 747919
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 3.0-6.mga5
+ Revision: 680487
- Mageia 5 Mass Rebuild

* Wed Jun 04 2014 doktor5000 <doktor5000> 3.0-5.mga5
+ Revision: 633273
- enable transitions/plugins per the README

* Fri Oct 18 2013 umeabot <umeabot> 3.0-4.mga4
+ Revision: 505963
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 3.0-3.mga3
+ Revision: 354291
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Dec 07 2012 dams <dams> 3.0-2.mga3
+ Revision: 327865
- update %%group

* Mon Jul 30 2012 fwang <fwang> 3.0-1.mga3
+ Revision: 275952
- add missing br
- fix linkage
+ dams <dams>
- new version 3.0
- remove patch (merged in code)

* Wed Sep 21 2011 fwang <fwang> 2.1-3.mga2
+ Revision: 146441
- drop .la files

* Thu Jun 16 2011 kharec <kharec> 2.1-2.mga2
+ Revision: 108249
- fix br
- imported package imagination

